package ${basePackage}.frame.excel;

import com.alibaba.excel.metadata.Head;

/**
 * WHead - Excel列对象(包含列名，长度，必须项，列描述，指定转换器)
 *
 * @author wangbing
 * @version 0.0.1
 * @since 2017-01-01
 */
public class WHead {
    public WHead(Head head) {
        this.head = head;
    }

    /**
     * 标题
     */
    private Head head;

    /**
     * 表名称
     */
    private String name = "";

    /**
     * 该列的描述字段
     */
    private String note = "";

    /**
     * 下拉选项
     */
    private String[] selectList;

    public Head getHead() {
        return head;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getNote() {
        return note;
    }

    public void setNote(String note) {
        this.note = note;
    }

    public String[] getSelectList() {
        return selectList;
    }

    public void setSelectList(String[] selectList) {
        this.selectList = selectList;
    }
}

